# $Revision: 1.32 $, $Date: 2011/04/06 07:20:12 $
%define	libver	0.4.7a
Summary:	NVidia (and others) TV-out tool
Summary(pl.UTF-8):	Narzędzie do TV-out w kartach firmy NVidia (i innych)
Name:		nvtv
Version:	0.4.7
Release:	8
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/nv-tv-out/%{name}-%{version}.tar.gz
# Source0-md5:	35348d7608f94b7d114cd6ef46b66fc7
Source1:	http://dl.sourceforge.net/nv-tv-out/libnvtvsimple-%{libver}.tar.gz
# Source1-md5:	8c97d39818dc1e50704d8bb9ba5e7f06
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-opt.patch
Patch1:		%{name}-pci-link.patch
URL:		http://www.sourceforge.net/projects/nv-tv-out/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libtool
BuildRequires:	pciutils-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
# uses <sys/io.h> interface to setup some adapters
ExclusiveArch:	alpha arm %{ix86} ia64 sh %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to use the TV-Out capabilities of NVidia graphic cards on Linux.
Now it supports not only NVidia chips.

%description -l pl.UTF-8
Narzędzie pozwalające wykorzystać pod Linuksem możliwości TV-Out kart
graficznych NVidia, od niedawna także innych.

%package -n libnvtvsimple
Summary:	Simple API library for nvtv
Summary(pl.UTF-8):	Prosta biblioteka do nvtv
Group:		Libraries

%description -n libnvtvsimple
This is the simple API library for nvtv, which uses the client backend
to access nvtvd.

%description -n libnvtvsimple -l pl.UTF-8
Ten pakiet zawiera prostą bibliotekę do nvtv, używającą backendu
klienckiego do dostępu do nvtvd.

%package -n libnvtvsimple-devel
Summary:	Header file for libnvtvsimple library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libnvtvsimple
Group:		Development/Libraries
Requires:	libnvtvsimple = %{version}-%{release}

%description -n libnvtvsimple-devel
Header file for libnvtvsimple library.

%description -n libnvtvsimple-devel -l pl.UTF-8
Plik nagłówkowy biblioteki libnvtvsimple.

%package -n libnvtvsimple-static
Summary:	Static libnvtvsimple library
Summary(pl.UTF-8):	Statyczna biblioteka libnvtvsimple
Group:		Development/Libraries
Requires:	libnvtvsimple-devel = %{version}-%{release}

%description -n libnvtvsimple-static
Static libnvtvsimple library.

%description -n libnvtvsimple-static -l pl.UTF-8
Statyczna biblioteka libnvtvsimple.

%prep
%setup -q -b1
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* .
mv -f aclocal.m4 acinclude.m4
%{__aclocal}
%{__autoconf}
%configure \
	%{!?debug:--disable-debug} \
	--with-gtk=gtk2

%{__make}

cd lib
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sbindir},%{_bindir},%{_mandir}/man{1,8}}

%{__make} -C lib install \
	DESTDIR=$RPM_BUILD_ROOT

install src/nvtvd $RPM_BUILD_ROOT%{_sbindir}
install src/nvtv $RPM_BUILD_ROOT%{_bindir}
install man/nvtv.1x $RPM_BUILD_ROOT%{_mandir}/man1/nvtv.1
install man/nvtvd.8 $RPM_BUILD_ROOT%{_mandir}/man8/nvtvd.8
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/nvtv
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/nvtv

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnvtvsimple.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nvtv
%service nvtv restart "NvTV daemon"

%preun
if [ "$1" = "0" ]; then
	%service nvtv stop
	/sbin/chkconfig --del nvtv
fi

%post	-n libnvtvsimple -p /sbin/ldconfig
%postun	-n libnvtvsimple -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE BUGS ChangeLog FAQ README TODO doc/USAGE doc/*.txt
%attr(754,root,root) /etc/rc.d/init.d/nvtv
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nvtv
%attr(755,root,root) %{_bindir}/nvtv
%attr(755,root,root) %{_sbindir}/nvtvd
%{_mandir}/man1/nvtv.1*
%{_mandir}/man8/nvtvd.8*

%files -n libnvtvsimple
%defattr(644,root,root,755)
%doc lib/README
%attr(755,root,root) %{_libdir}/libnvtvsimple.so.*.*.*

%files -n libnvtvsimple-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnvtvsimple.so
%{_includedir}/nvtv
%{_pkgconfigdir}/nvtvsimple.pc

%files -n libnvtvsimple-static
%defattr(644,root,root,755)
%{_libdir}/libnvtvsimple.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nvtv.spec,v $
Revision 1.32  2011/04/06 07:20:12  wiget
- drop libtool file
- rel. 8

Revision 1.31  2010/11/25 20:43:08  hawk
- release 7

Revision 1.30  2010/05/13 16:04:23  sparky
- BR: xorg-lib-libICE-devel, xorg-lib-libXmu-devel, xorg-lib-libXxf86vm-devel

Revision 1.29  2010/03/04 12:37:38  hawk
- release 6

Revision 1.28  2008/11/16 10:31:55  arekm
- release 5

Revision 1.27  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.25  2007/01/23 22:57:31  qrczak
- nvtv-pci-link.patch: -lpci is a static library and uses -lz,
  so we must add -lz after -lpci
- Release 4

Revision 1.24  2006/05/08 11:52:50  glen
- pass nice name for %service; adapter

Revision 1.23  2006/05/08 11:43:05  darekr
- use %service

Revision 1.22  2006/02/22 22:08:19  freetz
- drop xrender-devel BR (already in dependency tree)

Revision 1.21  2006/02/22 18:50:51  freetz
- rel.3 for th

Revision 1.20  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.18  2004/12/01 01:27:35  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.17  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.16  2004/07/12 19:15:07  qboosh
- ExclusiveArch because of IO access method (<sys/io.h>); release 2

Revision 1.15  2004/07/12 19:12:44  qboosh
- updated lib to 0.4.7a, build hacks no longer needed

Revision 1.14  2004/07/12 18:02:19  qboosh
- fixed build on amd64

Revision 1.13  2004/04/23 22:47:14  qboosh
- added libnvtvsimple* packages, updated opt patch

Revision 1.12  2004/04/23 22:01:07  qboosh
- updated to 0.4.7, removed outdated pipe patch, added opt patch
- switched to gtk2, noted that it's not only for NVidia now

Revision 1.11  2004/03/17 00:13:23  domelu
- fix previous commitlog

Revision 1.10  2004/03/16 23:58:01  domelu
- up to 0.4.6
- fix %prep
- moved man from doc/man/ -> man/

Revision 1.9  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.8  2003/09/28 19:35:23  mmazur
- fixed building

Revision 1.7  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:51:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/10 20:16:29  qboosh
- pl description

Revision 1.4  2003/03/02 12:29:57  adasi
- moved nvtv from sbindir to bindir, users can use it
- relup from 0.9 to 1.0
- quite useful for nvidia-manufactured card owners

Revision 1.3  2003/02/24 13:41:30  orzech
- forgot %files

Revision 1.2  2003/02/24 13:35:42  orzech
- added init stuff

Revision 1.1  2003/02/24 12:36:25  orzech
- new (NVidia tv-out tool)
